import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * The AWS::AppRunner::VpcIngressConnection resource is an App Runner resource that specifies an App Runner VpcIngressConnection.
 */
export declare function getVpcIngressConnection(args: GetVpcIngressConnectionArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcIngressConnectionResult>;
export interface GetVpcIngressConnectionArgs {
    /**
     * The Amazon Resource Name (ARN) of the VpcIngressConnection.
     */
    vpcIngressConnectionArn: string;
}
export interface GetVpcIngressConnectionResult {
    /**
     * The Domain name associated with the VPC Ingress Connection.
     */
    readonly domainName?: string;
    /**
     * Specifications for the customer’s Amazon VPC and the related AWS PrivateLink VPC endpoint that are used to create the VPC Ingress Connection resource.
     */
    readonly ingressVpcConfiguration?: outputs.apprunner.VpcIngressConnectionIngressVpcConfiguration;
    /**
     * The current status of the VpcIngressConnection.
     */
    readonly status?: enums.apprunner.VpcIngressConnectionStatus;
    /**
     * The Amazon Resource Name (ARN) of the VpcIngressConnection.
     */
    readonly vpcIngressConnectionArn?: string;
}
/**
 * The AWS::AppRunner::VpcIngressConnection resource is an App Runner resource that specifies an App Runner VpcIngressConnection.
 */
export declare function getVpcIngressConnectionOutput(args: GetVpcIngressConnectionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcIngressConnectionResult>;
export interface GetVpcIngressConnectionOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the VpcIngressConnection.
     */
    vpcIngressConnectionArn: pulumi.Input<string>;
}
