import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::AppSync::SourceApiAssociation
 */
export declare function getSourceApiAssociation(args: GetSourceApiAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetSourceApiAssociationResult>;
export interface GetSourceApiAssociationArgs {
    /**
     * ARN of the SourceApiAssociation.
     */
    associationArn: string;
}
export interface GetSourceApiAssociationResult {
    /**
     * ARN of the SourceApiAssociation.
     */
    readonly associationArn?: string;
    /**
     * Id of the SourceApiAssociation.
     */
    readonly associationId?: string;
    /**
     * Description of the SourceApiAssociation.
     */
    readonly description?: string;
    /**
     * Date of last schema successful merge.
     */
    readonly lastSuccessfulMergeDate?: string;
    /**
     * ARN of the Merged API in the association.
     */
    readonly mergedApiArn?: string;
    /**
     * GraphQLApiId of the Merged API in the association.
     */
    readonly mergedApiId?: string;
    /**
     * ARN of the source API in the association.
     */
    readonly sourceApiArn?: string;
    /**
     * Customized configuration for SourceApiAssociation.
     */
    readonly sourceApiAssociationConfig?: outputs.appsync.SourceApiAssociationConfig;
    /**
     * Current status of SourceApiAssociation.
     */
    readonly sourceApiAssociationStatus?: enums.appsync.SourceApiAssociationStatus;
    /**
     * Current SourceApiAssociation status details.
     */
    readonly sourceApiAssociationStatusDetail?: string;
    /**
     * GraphQLApiId of the source API in the association.
     */
    readonly sourceApiId?: string;
}
/**
 * Resource Type definition for AWS::AppSync::SourceApiAssociation
 */
export declare function getSourceApiAssociationOutput(args: GetSourceApiAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSourceApiAssociationResult>;
export interface GetSourceApiAssociationOutputArgs {
    /**
     * ARN of the SourceApiAssociation.
     */
    associationArn: pulumi.Input<string>;
}
