import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Definition of AWS::ARCZonalShift::AutoshiftObserverNotificationStatus Resource Type
 */
export declare class AutoshiftObserverNotificationStatus extends pulumi.CustomResource {
    /**
     * Get an existing AutoshiftObserverNotificationStatus resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): AutoshiftObserverNotificationStatus;
    /**
     * Returns true if the given object is an instance of AutoshiftObserverNotificationStatus.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is AutoshiftObserverNotificationStatus;
    readonly accountId: pulumi.Output<string>;
    readonly region: pulumi.Output<string>;
    readonly status: pulumi.Output<enums.arczonalshift.AutoshiftObserverNotificationStatusEnum>;
    /**
     * Create a AutoshiftObserverNotificationStatus resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: AutoshiftObserverNotificationStatusArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a AutoshiftObserverNotificationStatus resource.
 */
export interface AutoshiftObserverNotificationStatusArgs {
    status: pulumi.Input<enums.arczonalshift.AutoshiftObserverNotificationStatusEnum>;
}
