import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Definition of AWS::Bedrock::DataAutomationProject Resource Type
 */
export declare function getDataAutomationProject(args: GetDataAutomationProjectArgs, opts?: pulumi.InvokeOptions): Promise<GetDataAutomationProjectResult>;
export interface GetDataAutomationProjectArgs {
    /**
     * ARN of a DataAutomationProject
     */
    projectArn: string;
}
export interface GetDataAutomationProjectResult {
    /**
     * Time Stamp
     */
    readonly creationTime?: string;
    /**
     * Blueprints to apply to objects processed by the project.
     */
    readonly customOutputConfiguration?: outputs.bedrock.DataAutomationProjectCustomOutputConfiguration;
    /**
     * KMS encryption context
     */
    readonly kmsEncryptionContext?: {
        [key: string]: string;
    };
    /**
     * KMS key identifier
     */
    readonly kmsKeyId?: string;
    /**
     * Time Stamp
     */
    readonly lastModifiedTime?: string;
    /**
     * Additional settings for the project.
     */
    readonly overrideConfiguration?: outputs.bedrock.DataAutomationProjectOverrideConfiguration;
    /**
     * ARN of a DataAutomationProject
     */
    readonly projectArn?: string;
    /**
     * Description of the DataAutomationProject
     */
    readonly projectDescription?: string;
    /**
     * The project's stage.
     */
    readonly projectStage?: enums.bedrock.DataAutomationProjectStage;
    /**
     * The project's standard output configuration.
     */
    readonly standardOutputConfiguration?: outputs.bedrock.DataAutomationProjectStandardOutputConfiguration;
    /**
     * The project's status.
     */
    readonly status?: enums.bedrock.DataAutomationProjectStatus;
    /**
     * List of Tags
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::Bedrock::DataAutomationProject Resource Type
 */
export declare function getDataAutomationProjectOutput(args: GetDataAutomationProjectOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDataAutomationProjectResult>;
export interface GetDataAutomationProjectOutputArgs {
    /**
     * ARN of a DataAutomationProject
     */
    projectArn: pulumi.Input<string>;
}
