import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::Connect::ContactFlow
 */
export declare function getContactFlow(args: GetContactFlowArgs, opts?: pulumi.InvokeOptions): Promise<GetContactFlowResult>;
export interface GetContactFlowArgs {
    /**
     * The identifier of the contact flow (ARN).
     */
    contactFlowArn: string;
}
export interface GetContactFlowResult {
    /**
     * The identifier of the contact flow (ARN).
     */
    readonly contactFlowArn?: string;
    /**
     * The content of the contact flow in JSON format.
     */
    readonly content?: string;
    /**
     * The description of the contact flow.
     */
    readonly description?: string;
    /**
     * The identifier of the Amazon Connect instance (ARN).
     */
    readonly instanceArn?: string;
    /**
     * The name of the contact flow.
     */
    readonly name?: string;
    /**
     * The state of the contact flow.
     */
    readonly state?: enums.connect.ContactFlowState;
    /**
     * One or more tags.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::Connect::ContactFlow
 */
export declare function getContactFlowOutput(args: GetContactFlowOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetContactFlowResult>;
export interface GetContactFlowOutputArgs {
    /**
     * The identifier of the contact flow (ARN).
     */
    contactFlowArn: pulumi.Input<string>;
}
