import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Connect::PredefinedAttribute
 */
export declare class PredefinedAttribute extends pulumi.CustomResource {
    /**
     * Get an existing PredefinedAttribute resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): PredefinedAttribute;
    /**
     * Returns true if the given object is an instance of PredefinedAttribute.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is PredefinedAttribute;
    /**
     * The identifier of the Amazon Connect instance.
     */
    readonly instanceArn: pulumi.Output<string>;
    /**
     * Last modified region.
     */
    readonly lastModifiedRegion: pulumi.Output<string>;
    /**
     * Last modified time.
     */
    readonly lastModifiedTime: pulumi.Output<number>;
    /**
     * The name of the predefined attribute.
     */
    readonly name: pulumi.Output<string>;
    /**
     * The values of a predefined attribute.
     */
    readonly values: pulumi.Output<outputs.connect.ValuesProperties>;
    /**
     * Create a PredefinedAttribute resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: PredefinedAttributeArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a PredefinedAttribute resource.
 */
export interface PredefinedAttributeArgs {
    /**
     * The identifier of the Amazon Connect instance.
     */
    instanceArn: pulumi.Input<string>;
    /**
     * The name of the predefined attribute.
     */
    name?: pulumi.Input<string>;
    /**
     * The values of a predefined attribute.
     */
    values: pulumi.Input<inputs.connect.ValuesPropertiesArgs>;
}
