import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::EC2::InstanceConnectEndpoint
 */
export declare function getInstanceConnectEndpoint(args: GetInstanceConnectEndpointArgs, opts?: pulumi.InvokeOptions): Promise<GetInstanceConnectEndpointResult>;
export interface GetInstanceConnectEndpointArgs {
    /**
     * The id of the instance connect endpoint
     */
    id: string;
}
export interface GetInstanceConnectEndpointResult {
    /**
     * The id of the instance connect endpoint
     */
    readonly id?: string;
    /**
     * The tags of the instance connect endpoint.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::EC2::InstanceConnectEndpoint
 */
export declare function getInstanceConnectEndpointOutput(args: GetInstanceConnectEndpointOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetInstanceConnectEndpointResult>;
export interface GetInstanceConnectEndpointOutputArgs {
    /**
     * The id of the instance connect endpoint
     */
    id: pulumi.Input<string>;
}
