import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Allocates an internet gateway for use with a VPC. After creating the Internet gateway, you then attach it to a VPC.
 */
export declare function getInternetGateway(args: GetInternetGatewayArgs, opts?: pulumi.InvokeOptions): Promise<GetInternetGatewayResult>;
export interface GetInternetGatewayArgs {
    /**
     * The ID of the internet gateway.
     */
    internetGatewayId: string;
}
export interface GetInternetGatewayResult {
    /**
     * The ID of the internet gateway.
     */
    readonly internetGatewayId?: string;
    /**
     * Any tags to assign to the internet gateway.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Allocates an internet gateway for use with a VPC. After creating the Internet gateway, you then attach it to a VPC.
 */
export declare function getInternetGatewayOutput(args: GetInternetGatewayOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetInternetGatewayResult>;
export interface GetInternetGatewayOutputArgs {
    /**
     * The ID of the internet gateway.
     */
    internetGatewayId: pulumi.Input<string>;
}
