import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Schema of AWS::EC2::IPAMResourceDiscoveryAssociation Type
 */
export declare function getIpamResourceDiscoveryAssociation(args: GetIpamResourceDiscoveryAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetIpamResourceDiscoveryAssociationResult>;
export interface GetIpamResourceDiscoveryAssociationArgs {
    /**
     * Id of the IPAM Resource Discovery Association.
     */
    ipamResourceDiscoveryAssociationId: string;
}
export interface GetIpamResourceDiscoveryAssociationResult {
    /**
     * Arn of the IPAM.
     */
    readonly ipamArn?: string;
    /**
     * The home region of the IPAM.
     */
    readonly ipamRegion?: string;
    /**
     * The Amazon Resource Name (ARN) of the resource discovery association is a part of.
     */
    readonly ipamResourceDiscoveryAssociationArn?: string;
    /**
     * Id of the IPAM Resource Discovery Association.
     */
    readonly ipamResourceDiscoveryAssociationId?: string;
    /**
     * If the Resource Discovery Association exists due as part of CreateIpam.
     */
    readonly isDefault?: boolean;
    /**
     * The AWS Account ID for the account where the shared IPAM exists.
     */
    readonly ownerId?: string;
    /**
     * The status of the resource discovery.
     */
    readonly resourceDiscoveryStatus?: string;
    /**
     * The operational state of the Resource Discovery Association. Related to Create/Delete activities.
     */
    readonly state?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Schema of AWS::EC2::IPAMResourceDiscoveryAssociation Type
 */
export declare function getIpamResourceDiscoveryAssociationOutput(args: GetIpamResourceDiscoveryAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetIpamResourceDiscoveryAssociationResult>;
export interface GetIpamResourceDiscoveryAssociationOutputArgs {
    /**
     * Id of the IPAM Resource Discovery Association.
     */
    ipamResourceDiscoveryAssociationId: pulumi.Input<string>;
}
