import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::EC2::SpotFleet
 */
export declare function getSpotFleet(args: GetSpotFleetArgs, opts?: pulumi.InvokeOptions): Promise<GetSpotFleetResult>;
export interface GetSpotFleetArgs {
    /**
     * The ID of the Spot Fleet.
     */
    id: string;
}
export interface GetSpotFleetResult {
    /**
     * The ID of the Spot Fleet.
     */
    readonly id?: string;
    /**
     * Describes the configuration of a Spot Fleet request.
     */
    readonly spotFleetRequestConfigData?: outputs.ec2.SpotFleetRequestConfigData;
}
/**
 * Resource Type definition for AWS::EC2::SpotFleet
 */
export declare function getSpotFleetOutput(args: GetSpotFleetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSpotFleetResult>;
export interface GetSpotFleetOutputArgs {
    /**
     * The ID of the Spot Fleet.
     */
    id: pulumi.Input<string>;
}
