import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::GameLift::MatchmakingRuleSet resource creates an Amazon GameLift (GameLift) matchmaking rule set.
 */
export declare function getMatchmakingRuleSet(args: GetMatchmakingRuleSetArgs, opts?: pulumi.InvokeOptions): Promise<GetMatchmakingRuleSetResult>;
export interface GetMatchmakingRuleSetArgs {
    /**
     * A unique identifier for the matchmaking rule set.
     */
    name: string;
}
export interface GetMatchmakingRuleSetResult {
    /**
     * The Amazon Resource Name (ARN) that is assigned to a Amazon GameLift matchmaking rule set resource and uniquely identifies it.
     */
    readonly arn?: string;
    /**
     * A time stamp indicating when this data object was created. Format is a number expressed in Unix time as milliseconds.
     */
    readonly creationTime?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * The AWS::GameLift::MatchmakingRuleSet resource creates an Amazon GameLift (GameLift) matchmaking rule set.
 */
export declare function getMatchmakingRuleSetOutput(args: GetMatchmakingRuleSetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMatchmakingRuleSetResult>;
export interface GetMatchmakingRuleSetOutputArgs {
    /**
     * A unique identifier for the matchmaking rule set.
     */
    name: pulumi.Input<string>;
}
