import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::ImageBuilder::ImageRecipe
 */
export declare function getImageRecipe(args: GetImageRecipeArgs, opts?: pulumi.InvokeOptions): Promise<GetImageRecipeResult>;
export interface GetImageRecipeArgs {
    /**
     * The Amazon Resource Name (ARN) of the image recipe.
     */
    arn: string;
}
export interface GetImageRecipeResult {
    /**
     * Specify additional settings and launch scripts for your build instances.
     */
    readonly additionalInstanceConfiguration?: outputs.imagebuilder.ImageRecipeAdditionalInstanceConfiguration;
    /**
     * The Amazon Resource Name (ARN) of the image recipe.
     */
    readonly arn?: string;
}
/**
 * Resource schema for AWS::ImageBuilder::ImageRecipe
 */
export declare function getImageRecipeOutput(args: GetImageRecipeOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetImageRecipeResult>;
export interface GetImageRecipeOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the image recipe.
     */
    arn: pulumi.Input<string>;
}
