import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::IoT::BillingGroup
 */
export declare function getBillingGroup(args: GetBillingGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetBillingGroupResult>;
export interface GetBillingGroupArgs {
    /**
     * The name of the billing group.
     */
    billingGroupName: string;
}
export interface GetBillingGroupResult {
    /**
     * The ARN of the billing group.
     */
    readonly arn?: string;
    /**
     * The properties of the billing group.
     */
    readonly billingGroupProperties?: outputs.iot.BillingGroupPropertiesProperties;
    /**
     * The ID of the billing group.
     */
    readonly id?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::IoT::BillingGroup
 */
export declare function getBillingGroupOutput(args: GetBillingGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBillingGroupResult>;
export interface GetBillingGroupOutputArgs {
    /**
     * The name of the billing group.
     */
    billingGroupName: pulumi.Input<string>;
}
