"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScheduledAudit = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Scheduled audits can be used to specify the checks you want to perform during an audit and how often the audit should be run.
 */
class ScheduledAudit extends pulumi.CustomResource {
    /**
     * Get an existing ScheduledAudit resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new ScheduledAudit(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ScheduledAudit.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ScheduledAudit.__pulumiType;
    }
    /**
     * Create a ScheduledAudit resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.frequency === undefined) && !opts.urn) {
                throw new Error("Missing required property 'frequency'");
            }
            if ((!args || args.targetCheckNames === undefined) && !opts.urn) {
                throw new Error("Missing required property 'targetCheckNames'");
            }
            resourceInputs["dayOfMonth"] = args ? args.dayOfMonth : undefined;
            resourceInputs["dayOfWeek"] = args ? args.dayOfWeek : undefined;
            resourceInputs["frequency"] = args ? args.frequency : undefined;
            resourceInputs["scheduledAuditName"] = args ? args.scheduledAuditName : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["targetCheckNames"] = args ? args.targetCheckNames : undefined;
            resourceInputs["scheduledAuditArn"] = undefined /*out*/;
        }
        else {
            resourceInputs["dayOfMonth"] = undefined /*out*/;
            resourceInputs["dayOfWeek"] = undefined /*out*/;
            resourceInputs["frequency"] = undefined /*out*/;
            resourceInputs["scheduledAuditArn"] = undefined /*out*/;
            resourceInputs["scheduledAuditName"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["targetCheckNames"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["scheduledAuditName"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(ScheduledAudit.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ScheduledAudit = ScheduledAudit;
/** @internal */
ScheduledAudit.__pulumiType = 'aws-native:iot:ScheduledAudit';
//# sourceMappingURL=scheduledAudit.js.map