import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::IoTSiteWise::AccessPolicy
 */
export declare function getAccessPolicy(args: GetAccessPolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetAccessPolicyResult>;
export interface GetAccessPolicyArgs {
    /**
     * The ID of the access policy.
     */
    accessPolicyId: string;
}
export interface GetAccessPolicyResult {
    /**
     * The ARN of the access policy.
     */
    readonly accessPolicyArn?: string;
    /**
     * The ID of the access policy.
     */
    readonly accessPolicyId?: string;
    /**
     * The identity for this access policy. Choose either a user or a group but not both.
     */
    readonly accessPolicyIdentity?: outputs.iotsitewise.AccessPolicyIdentity;
    /**
     * The permission level for this access policy. Valid values are ADMINISTRATOR or VIEWER.
     */
    readonly accessPolicyPermission?: string;
    /**
     * The AWS IoT SiteWise Monitor resource for this access policy. Choose either portal or project but not both.
     */
    readonly accessPolicyResource?: outputs.iotsitewise.AccessPolicyResource;
}
/**
 * Resource schema for AWS::IoTSiteWise::AccessPolicy
 */
export declare function getAccessPolicyOutput(args: GetAccessPolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAccessPolicyResult>;
export interface GetAccessPolicyOutputArgs {
    /**
     * The ID of the access policy.
     */
    accessPolicyId: pulumi.Input<string>;
}
