import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::IVS::IngestConfiguration
 */
export declare function getIngestConfiguration(args: GetIngestConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetIngestConfigurationResult>;
export interface GetIngestConfigurationArgs {
    /**
     * IngestConfiguration ARN is automatically generated on creation and assigned as the unique identifier.
     */
    arn: string;
}
export interface GetIngestConfigurationResult {
    /**
     * IngestConfiguration ARN is automatically generated on creation and assigned as the unique identifier.
     */
    readonly arn?: string;
    /**
     * Participant Id is automatically generated on creation and assigned.
     */
    readonly participantId?: string;
    /**
     * Stage ARN. A value other than an empty string indicates that stage is linked to IngestConfiguration. Default: "" (recording is disabled).
     */
    readonly stageArn?: string;
    /**
     * State of IngestConfiguration which determines whether IngestConfiguration is in use or not.
     */
    readonly state?: enums.ivs.IngestConfigurationState;
    /**
     * Stream-key value.
     */
    readonly streamKey?: string;
    /**
     * A list of key-value pairs that contain metadata for the asset model.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::IVS::IngestConfiguration
 */
export declare function getIngestConfigurationOutput(args: GetIngestConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetIngestConfigurationResult>;
export interface GetIngestConfigurationOutputArgs {
    /**
     * IngestConfiguration ARN is automatically generated on creation and assigned as the unique identifier.
     */
    arn: pulumi.Input<string>;
}
