import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::MediaConnect::FlowEntitlement
 */
export declare function getFlowEntitlement(args: GetFlowEntitlementArgs, opts?: pulumi.InvokeOptions): Promise<GetFlowEntitlementResult>;
export interface GetFlowEntitlementArgs {
    /**
     * The ARN of the entitlement.
     */
    entitlementArn: string;
}
export interface GetFlowEntitlementResult {
    /**
     * A description of the entitlement.
     */
    readonly description?: string;
    /**
     * The type of encryption that will be used on the output that is associated with this entitlement.
     */
    readonly encryption?: outputs.mediaconnect.FlowEntitlementEncryption;
    /**
     * The ARN of the entitlement.
     */
    readonly entitlementArn?: string;
    /**
     *  An indication of whether the entitlement is enabled.
     */
    readonly entitlementStatus?: enums.mediaconnect.FlowEntitlementEntitlementStatus;
    /**
     * The ARN of the flow.
     */
    readonly flowArn?: string;
    /**
     * The AWS account IDs that you want to share your content with. The receiving accounts (subscribers) will be allowed to create their own flow using your content as the source.
     */
    readonly subscribers?: string[];
}
/**
 * Resource schema for AWS::MediaConnect::FlowEntitlement
 */
export declare function getFlowEntitlementOutput(args: GetFlowEntitlementOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetFlowEntitlementResult>;
export interface GetFlowEntitlementOutputArgs {
    /**
     * The ARN of the entitlement.
     */
    entitlementArn: pulumi.Input<string>;
}
