import * as pulumi from "@pulumi/pulumi";
/**
 * The AWS::NeptuneGraph::PrivateGraphEndpoint resource creates an Amazon NeptuneGraph PrivateGraphEndpoint.
 */
export declare function getPrivateGraphEndpoint(args: GetPrivateGraphEndpointArgs, opts?: pulumi.InvokeOptions): Promise<GetPrivateGraphEndpointResult>;
export interface GetPrivateGraphEndpointArgs {
    /**
     * PrivateGraphEndpoint resource identifier generated by concatenating the associated GraphIdentifier and VpcId with an underscore separator.
     *
     *  For example, if GraphIdentifier is `g-12a3bcdef4` and VpcId is `vpc-0a12bc34567de8f90`, the generated PrivateGraphEndpointIdentifier will be `g-12a3bcdef4_vpc-0a12bc34567de8f90`
     */
    privateGraphEndpointIdentifier: string;
}
export interface GetPrivateGraphEndpointResult {
    /**
     * PrivateGraphEndpoint resource identifier generated by concatenating the associated GraphIdentifier and VpcId with an underscore separator.
     *
     *  For example, if GraphIdentifier is `g-12a3bcdef4` and VpcId is `vpc-0a12bc34567de8f90`, the generated PrivateGraphEndpointIdentifier will be `g-12a3bcdef4_vpc-0a12bc34567de8f90`
     */
    readonly privateGraphEndpointIdentifier?: string;
    /**
     * VPC endpoint that provides a private connection between the Graph and specified VPC.
     */
    readonly vpcEndpointId?: string;
}
/**
 * The AWS::NeptuneGraph::PrivateGraphEndpoint resource creates an Amazon NeptuneGraph PrivateGraphEndpoint.
 */
export declare function getPrivateGraphEndpointOutput(args: GetPrivateGraphEndpointOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPrivateGraphEndpointResult>;
export interface GetPrivateGraphEndpointOutputArgs {
    /**
     * PrivateGraphEndpoint resource identifier generated by concatenating the associated GraphIdentifier and VpcId with an underscore separator.
     *
     *  For example, if GraphIdentifier is `g-12a3bcdef4` and VpcId is `vpc-0a12bc34567de8f90`, the generated PrivateGraphEndpointIdentifier will be `g-12a3bcdef4_vpc-0a12bc34567de8f90`
     */
    privateGraphEndpointIdentifier: pulumi.Input<string>;
}
