import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::RDS::DBProxyTargetGroup
 */
export declare function getDbProxyTargetGroup(args: GetDbProxyTargetGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetDbProxyTargetGroupResult>;
export interface GetDbProxyTargetGroupArgs {
    /**
     * The Amazon Resource Name (ARN) representing the target group.
     */
    targetGroupArn: string;
}
export interface GetDbProxyTargetGroupResult {
    /**
     * Displays the settings that control the size and behavior of the connection pool associated with a `DBProxyTarget` .
     */
    readonly connectionPoolConfigurationInfo?: outputs.rds.DbProxyTargetGroupConnectionPoolConfigurationInfoFormat;
    /**
     * One or more DB cluster identifiers.
     */
    readonly dbClusterIdentifiers?: string[];
    /**
     * One or more DB instance identifiers.
     */
    readonly dbInstanceIdentifiers?: string[];
    /**
     * The Amazon Resource Name (ARN) representing the target group.
     */
    readonly targetGroupArn?: string;
}
/**
 * Resource schema for AWS::RDS::DBProxyTargetGroup
 */
export declare function getDbProxyTargetGroupOutput(args: GetDbProxyTargetGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDbProxyTargetGroupResult>;
export interface GetDbProxyTargetGroupOutputArgs {
    /**
     * The Amazon Resource Name (ARN) representing the target group.
     */
    targetGroupArn: pulumi.Input<string>;
}
