import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::ResourceExplorer2::DefaultViewAssociation Resource Type
 */
export declare class DefaultViewAssociation extends pulumi.CustomResource {
    /**
     * Get an existing DefaultViewAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): DefaultViewAssociation;
    /**
     * Returns true if the given object is an instance of DefaultViewAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is DefaultViewAssociation;
    /**
     * The AWS principal that the default view is associated with, used as the unique identifier for this resource.
     */
    readonly associatedAwsPrincipal: pulumi.Output<string>;
    /**
     * The ARN of the view to set as the default for the AWS Region and AWS account in which you call this operation. The specified view must already exist in the specified Region.
     */
    readonly viewArn: pulumi.Output<string>;
    /**
     * Create a DefaultViewAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: DefaultViewAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a DefaultViewAssociation resource.
 */
export interface DefaultViewAssociationArgs {
    /**
     * The ARN of the view to set as the default for the AWS Region and AWS account in which you call this operation. The specified view must already exist in the specified Region.
     */
    viewArn: pulumi.Input<string>;
}
