import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The policy to be attached to a Multi Region Access Point
 */
export declare function getMultiRegionAccessPointPolicy(args: GetMultiRegionAccessPointPolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetMultiRegionAccessPointPolicyResult>;
export interface GetMultiRegionAccessPointPolicyArgs {
    /**
     * The name of the Multi Region Access Point to apply policy
     */
    mrapName: string;
}
export interface GetMultiRegionAccessPointPolicyResult {
    /**
     * Policy document to apply to a Multi Region Access Point
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::S3::MultiRegionAccessPointPolicy` for more information about the expected schema for this property.
     */
    readonly policy?: any;
    /**
     * The Policy Status associated with this Multi Region Access Point
     */
    readonly policyStatus?: outputs.s3.PolicyStatusProperties;
}
/**
 * The policy to be attached to a Multi Region Access Point
 */
export declare function getMultiRegionAccessPointPolicyOutput(args: GetMultiRegionAccessPointPolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMultiRegionAccessPointPolicyResult>;
export interface GetMultiRegionAccessPointPolicyOutputArgs {
    /**
     * The name of the Multi Region Access Point to apply policy
     */
    mrapName: pulumi.Input<string>;
}
