import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::SageMaker::Endpoint
 */
export declare function getEndpoint(args: GetEndpointArgs, opts?: pulumi.InvokeOptions): Promise<GetEndpointResult>;
export interface GetEndpointArgs {
    /**
     * The Amazon Resource Name (ARN) of the endpoint.
     */
    endpointArn: string;
}
export interface GetEndpointResult {
    /**
     * Specifies deployment configuration for updating the SageMaker endpoint. Includes rollback and update policies.
     */
    readonly deploymentConfig?: outputs.sagemaker.EndpointDeploymentConfig;
    /**
     * The Amazon Resource Name (ARN) of the endpoint.
     */
    readonly endpointArn?: string;
    /**
     * The name of the endpoint configuration for the SageMaker endpoint. This is a required property.
     */
    readonly endpointConfigName?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::SageMaker::Endpoint
 */
export declare function getEndpointOutput(args: GetEndpointOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEndpointResult>;
export interface GetEndpointOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the endpoint.
     */
    endpointArn: pulumi.Input<string>;
}
