import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource Schema for AWS::ServiceCatalogAppRegistry::ResourceAssociation
 */
export declare function getResourceAssociation(args: GetResourceAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetResourceAssociationResult>;
export interface GetResourceAssociationArgs {
    /**
     * The Amazon resource name (ARN) that specifies the application.
     */
    applicationArn: string;
    /**
     * The Amazon resource name (ARN) that specifies the resource.
     */
    resourceArn: string;
    /**
     * The type of the CFN Resource for now it's enum CFN_STACK.
     */
    resourceType: enums.servicecatalogappregistry.ResourceAssociationResourceType;
}
export interface GetResourceAssociationResult {
    /**
     * The Amazon resource name (ARN) that specifies the application.
     */
    readonly applicationArn?: string;
    /**
     * The Amazon resource name (ARN) that specifies the resource.
     */
    readonly resourceArn?: string;
}
/**
 * Resource Schema for AWS::ServiceCatalogAppRegistry::ResourceAssociation
 */
export declare function getResourceAssociationOutput(args: GetResourceAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResourceAssociationResult>;
export interface GetResourceAssociationOutputArgs {
    /**
     * The Amazon resource name (ARN) that specifies the application.
     */
    applicationArn: pulumi.Input<string>;
    /**
     * The Amazon resource name (ARN) that specifies the resource.
     */
    resourceArn: pulumi.Input<string>;
    /**
     * The type of the CFN Resource for now it's enum CFN_STACK.
     */
    resourceType: pulumi.Input<enums.servicecatalogappregistry.ResourceAssociationResourceType>;
}
