export declare const DataMigrationType: {
    readonly FullLoad: "full-load";
    readonly Cdc: "cdc";
    readonly FullLoadAndCdc: "full-load-and-cdc";
};
/**
 * The property describes the type of migration.
 */
export type DataMigrationType = (typeof DataMigrationType)[keyof typeof DataMigrationType];
export declare const DataProviderDb2SslModeValue: {
    readonly None: "none";
    readonly VerifyCa: "verify-ca";
};
export type DataProviderDb2SslModeValue = (typeof DataProviderDb2SslModeValue)[keyof typeof DataProviderDb2SslModeValue];
export declare const DataProviderDmsSslModeValue: {
    readonly None: "none";
    readonly Require: "require";
    readonly VerifyCa: "verify-ca";
    readonly VerifyFull: "verify-full";
};
export type DataProviderDmsSslModeValue = (typeof DataProviderDmsSslModeValue)[keyof typeof DataProviderDmsSslModeValue];
export declare const DataProviderEngine: {
    readonly Aurora: "aurora";
    readonly AuroraPostgresql: "aurora_postgresql";
    readonly Mysql: "mysql";
    readonly Oracle: "oracle";
    readonly Postgres: "postgres";
    readonly Sqlserver: "sqlserver";
    readonly Redshift: "redshift";
    readonly Mariadb: "mariadb";
    readonly Mongodb: "mongodb";
    readonly Docdb: "docdb";
    readonly Db2: "db2";
    readonly Db2Zos: "db2_zos";
};
/**
 * The property describes a data engine for the data provider.
 */
export type DataProviderEngine = (typeof DataProviderEngine)[keyof typeof DataProviderEngine];
export declare const DataProviderMongoDbAuthMechanism: {
    readonly Default: "default";
    readonly MongodbCr: "mongodb_cr";
    readonly ScramSha1: "scram_sha_1";
};
export type DataProviderMongoDbAuthMechanism = (typeof DataProviderMongoDbAuthMechanism)[keyof typeof DataProviderMongoDbAuthMechanism];
export declare const DataProviderMongoDbAuthType: {
    readonly No: "no";
    readonly Password: "password";
};
export type DataProviderMongoDbAuthType = (typeof DataProviderMongoDbAuthType)[keyof typeof DataProviderMongoDbAuthType];
export declare const DataProviderMongoDbSslModeValue: {
    readonly None: "none";
    readonly Require: "require";
    readonly VerifyFull: "verify-full";
};
export type DataProviderMongoDbSslModeValue = (typeof DataProviderMongoDbSslModeValue)[keyof typeof DataProviderMongoDbSslModeValue];
export declare const InstanceProfileNetworkType: {
    readonly Ipv4: "IPV4";
    readonly Dual: "DUAL";
};
/**
 * The property describes a network type for the instance profile.
 */
export type InstanceProfileNetworkType = (typeof InstanceProfileNetworkType)[keyof typeof InstanceProfileNetworkType];
export declare const ReplicationConfigReplicationType: {
    readonly FullLoad: "full-load";
    readonly FullLoadAndCdc: "full-load-and-cdc";
    readonly Cdc: "cdc";
};
/**
 * The type of AWS DMS Serverless replication to provision using this replication configuration
 */
export type ReplicationConfigReplicationType = (typeof ReplicationConfigReplicationType)[keyof typeof ReplicationConfigReplicationType];
