import * as pulumi from "@pulumi/pulumi";
/**
 * This schema provides construct and validation rules for AWS-XRay TransactionSearchConfig resource parameters.
 */
export declare class TransactionSearchConfig extends pulumi.CustomResource {
    /**
     * Get an existing TransactionSearchConfig resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): TransactionSearchConfig;
    /**
     * Returns true if the given object is an instance of TransactionSearchConfig.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is TransactionSearchConfig;
    readonly accountId: pulumi.Output<string>;
    readonly indexingPercentage: pulumi.Output<number | undefined>;
    /**
     * Create a TransactionSearchConfig resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args?: TransactionSearchConfigArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a TransactionSearchConfig resource.
 */
export interface TransactionSearchConfigArgs {
    indexingPercentage?: pulumi.Input<number>;
}
